1 Reply Latest reply: Mar 22, 2013 5:06 AM by User529841-OC RSS

    Error applying patch JDeveloper 13952743

    User529841-OC
      I'm updating my OBIEE from 11.1.1.6.0 to 11.1.1.6.8 and I have an error applying jdeveloper patch 13952743.
      The error message is

      /app/oracle/oracle_common/jdk/bin/java is not a valid executable for this platform. OPatch cannot proceed!
      OPatch returns with error code = 1

      All OBIEE patches have been installed without errors.
      To update jdevoleper I have create the 13952743 folder under oracle_common, I have set the variables like suggested in this tutorial [http://paulcannon-bi.blogspot.it/2013/02/how-to-install-obiee-11g-patch-111168.html]

      cd /app/oracle/oracle_common
      export ORACLE_HOME=$PWD
      export PATH=$ORACLE_HOME/bin:$PATH
      export JAVA_HOME=$ORACLE_HOME/jdk
      export PATH=$JAVA_HOME/bin:$PATH
      export PATH=$ORACLE_HOME/OPatch:$PATH

      and I have run opatch apply.

      I'm not sure where is the problem.
      I have set the JAVA_HOME in oracle_common, like suggested, but in my oracle_common/jdk there is no bin folder.
      So I have tried to use the JAVA_PATH under my Oracle BI Home /app/oracle/Oracle_BI1 that has worked for obiee patches but I have the same error.
      My server is generic Linux 64bit.

      Can anyone help me?

      Thanks
      Luc

      Edited by: 914898 on 15-mar-2013 17.55

      Edited by: 914898 on 15-mar-2013 17.59